Page MenuHomePhabricator

error: Could not find suitable distribution for Requirement.parse
Closed, ResolvedPublic

Description

There where a lot of error messages like error: Could not find suitable distribution for Requirement.parse for several packages on appveyor in past:

All of them failes reading the package from pypi:

Searching for <package>
Reading https://pypi.python.org/simple/<package>/
Couldn't find index page for '<package>' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.python.org/simple/
No local packages or working download links found for <package>
error: Could not find suitable distribution for Requirement.parse('<package>')

Related Objects

StatusSubtypeAssignedTask
ResolvedDalba
ResolvedDalba
OpenNone
OpenNone
Declinedjayvdb
ResolvedXqt
OpenXqt
OpenNone
DeclinedNone
ResolvedXqt
DeclinedNone
ResolvedXqt
ResolvedXqt
OpenGoalNone
OpenNone
ResolvedLegoktm
OpenNone
ResolvedXqt
ResolvedBUG REPORTDalba
ResolvedBUG REPORTDalba
ResolvedBUG REPORTXqt
ResolvedBUG REPORTXqt
ResolvedXqt
ResolvedXqt
ResolvedXqt
ResolvedBUG REPORTDalba
ResolvedXqt
ResolvedXqt
OpenNone
ResolvedBUG REPORTDalba
ResolvedDalba
OpenBUG REPORTNone
ResolvedBUG REPORTXqt
ResolvedBUG REPORTNone
ResolvedBUG REPORTDzahn
OpenDalba
ResolvedXqt
ResolvedXqt
ResolvedXqt
ResolvedXqt
OpenNone
OpenXqt
ResolvedXqt
OpenNone
ResolvedXqt
OpenNone
DeclinedNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedXqt
ResolvedXqt
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedDvorapa
OpenNone
OpenXqt
OpenXqt
OpenXqt
DeclinedNone
InvalidNone
ResolvedUrbanecm
OpenNone
OpenXqt
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedMpaa
ResolvedAndrew
OpenNone
OpenNone

Event Timeline

Xqt created this task.Apr 2 2018, 6:04 AM
Restricted Application added subscribers: pywikibot-bugs-list, Aklapper. · View Herald TranscriptApr 2 2018, 6:04 AM
Xqt triaged this task as Medium priority.Apr 2 2018, 6:05 AM
Xqt updated the task description. (Show Details)Apr 2 2018, 6:11 AM
Xqt updated the task description. (Show Details)Apr 2 2018, 6:15 AM
Xqt added a subscriber: jayvdb.Apr 2 2018, 6:20 AM
Xqt raised the priority of this task from Medium to High.Apr 2 2018, 2:22 PM

The occurences are increasing a lot

Dalba claimed this task.Apr 7 2018, 4:33 PM

It seems that the first occurence of this error has been in https://ci.appveyor.com/project/Ladsgroup/pywikibot-g4xqx/build/1.0.199/job/jpl92nv4vns79mow (d2efba541308851d549c9b94fa3be1d837617496, March 22). I could not figure out what has changed since then to cause this error.

According to the logs it seems that pip is not configured properly. The bug appears to be somewhere in run_with_env.cmd or its installer.

I'll send a patch to remove these scripts from appveyor since they have bugs and we currently don't need them.

Change 424768 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Cleanup .appveyor.yml file

https://gerrit.wikimedia.org/r/424768

Change 424768 merged by jenkins-bot:
[pywikibot/core@master] Cleanup .appveyor.yml file

https://gerrit.wikimedia.org/r/424768

Xqt closed this task as Resolved.Apr 8 2018, 8:30 AM

Change 425221 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Revert "Cleanup .appveyor.yml file"

https://gerrit.wikimedia.org/r/425221

Xqt reopened this task as Open.Apr 10 2018, 7:39 AM
Xqt removed a project: Patch-For-Review.

Change 425221 merged by jenkins-bot:
[pywikibot/core@master] Revert "Cleanup .appveyor.yml file"

https://gerrit.wikimedia.org/r/425221

Change 424992 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Create a python installer script for appveyor builds

https://gerrit.wikimedia.org/r/424992

Dalba added a comment.Apr 11 2018, 6:39 AM

Change 424992 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Create a python installer script for appveyor builds
https://gerrit.wikimedia.org/r/424992

The above patch adds an installer that is able to install python 3.4.0 and 2.7.7 on appveyor and run the tests on them. But earlier versions (2.7.2-2.7.7) give ssl errors which I don't have any idea how to fix.

I don't know if the patch would be more desirable that the current installer (not being able to run tests on 3.4.0, but apparently works with 2.7.2). But it's a possible solution for this task.

Change 424992 merged by jenkins-bot:
[pywikibot/core@master] Create a python installer script for appveyor builds

https://gerrit.wikimedia.org/r/424992

Xqt closed this task as Resolved.Apr 11 2018, 11:17 AM
Dalba reopened this task as Open.Apr 11 2018, 3:30 PM

Still happening, I'll upload a patch soon.

Dalba added a comment.Apr 11 2018, 3:47 PM

By the way, these failures are related to TLS1.0/1.1 removal on PyPI which has been in progress for almost a month. Also related: When was TLS 1.2 support added to OpenSSL?

Dalba removed Dalba as the assignee of this task.Apr 11 2018, 4:30 PM

Most solutions I found on internet involve compiling Python which requires rewriting the whole installer. I'm too tired for that, giving up.

Dalba added a comment.Apr 11 2018, 4:31 PM

Also note the new error message:

Download error on https://pypi.python.org/simple/BeautifulSoup4/: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:598) -- Some packages may not be found!
Couldn't find index page for 'BeautifulSoup4' (maybe misspelled?)
Scanning index of all packages (this may take a while)
Reading https://pypi.python.org/simple/
Download error on https://pypi.python.org/simple/: [SSL: TLSV1_ALERT_PROTOCOL_VERSION] tlsv1 alert protocol version (_ssl.c:598) -- Some packages may not be found!
No local packages or working download links found for BeautifulSoup4
error: Could not find suitable distribution for Requirement.parse('BeautifulSoup4')
Command exited with code 1
codecov

Change 425555 had a related patch set uploaded (by Dalba; owner: Dalba):
[pywikibot/core@master] Revert "Create a python installer script for appveyor builds"

https://gerrit.wikimedia.org/r/425555

Change 425555 merged by jenkins-bot:
[pywikibot/core@master] Revert "Create a python installer script for appveyor builds"

https://gerrit.wikimedia.org/r/425555

Xqt added a comment.Apr 11 2018, 5:50 PM

Looks mostly like a 3.4.0 issue. Maybe we should deactivate these two tests or try other versions.

Change 427653 had a related patch set uploaded (by Xqt; owner: Xqt):
[pywikibot/core@master] [test] use python 3.4.1 instead of 3.4.0 for tests

https://gerrit.wikimedia.org/r/427653

Change 427653 merged by jenkins-bot:
[pywikibot/core@master] [test] use python 3.4.1 instead of 3.4.0 for tests

https://gerrit.wikimedia.org/r/427653

Xqt closed this task as Resolved.Apr 19 2018, 7:47 PM
Xqt claimed this task.